## org.eclipse.wst.wsdl
Interface Definition

All Superinterfaces:
  javax.wsdl.Definition, ExtensibleElement, java.io.Serializable, WSDLElement

    public interface Definition

extends ExtensibleElement, javax.wsdl.Definition

A representation of the model object 'Definition'.

Since:
  1.0
See Also:
  `WSDLPackage.getDefinition()`

Method Summary
`org.w3c.dom.Document` `getDocument()` Returns a W3C DOM Document built from the input WSDL document.
`EList` `getEBindings()` Returns the value of the 'EBindings' containment reference list.
`EList` `getEImports()` Returns the value of the 'EImports' containment reference list.
`EList` `getEMessages()` Returns the value of the 'EMessages' containment reference list.
`EList` `getENamespaces()` Returns the value of the 'ENamespaces' containment reference list.
`java.lang.String` `getEncoding()` Returns the value of the 'Encoding' attribute
`EList` `getEPortTypes()` Returns the value of the 'EPort Types' containment reference list.
`EList` `getEServices()` Returns the value of the 'EServices' containment reference list.
`Types` `getETypes()` Returns the value of the 'ETypes' containment reference
`java.lang.String` `getLocation()` Returns the value of the 'Location' attribute
`javax.xml.namespace.QName` `getQName()` Returns the value of the 'QName' attribute
`java.lang.String` `getTargetNamespace()` Returns the value of the 'Target Namespace' attribute
`void` `setDocument(org.w3c.dom.Document document)` Sets a W3C DOM Document to be used when building up a DOM Element tree for the WSDL model.
`void` `setEncoding(java.lang.String value)` Sets the value of the '`Encoding`' attribute
`void` `setETypes(Types value)` Sets the value of the '`ETypes`' containment reference
`void` `setLocation(java.lang.String value)` Sets the value of the '`Location`' attribute
`void` `setQName(javax.xml.namespace.QName value)` Sets the value of the '`QName`' attribute
`void` `setTargetNamespace(java.lang.String value)` Sets the value of the '`Target Namespace`' attribute

Methods inherited from interface org.eclipse.wst.wsdl.ExtensibleElement
`addExtensibilityElement, getEExtensibilityElements, getExtensibilityElements`

Methods inherited from interface org.eclipse.wst.wsdl.WSDLElement
`elementChanged, getContainer, getDocumentationElement, getElement, getEnclosingDefinition, setDocumentationElement, setElement, setEnclosingDefinition, updateElement, updateElement`

Methods inherited from interface javax.wsdl.Definition

`addBinding, addExtensibilityElement, addImport, addMessage, addNamespace, addPortType, addService, createBinding, createBindingFault, createBindingInput, createBindingOperation, createBindingOutput, createFault, createImport, createInput, createMessage, createOperation, createOutput, createPart, createPort, createPortType, createService, createTypes, getBinding, getBindings, getDocumentationElement, getDocumentBaseURI, getExtensibilityElements, getExtensionRegistry, getImports, getImports, getMessage, getMessages, getNamespace, getNamespaces, getPortType, getPortTypes, getPrefix, getService, getServices, getTypes, removeBinding, removeMessage, removePortType, removeService, setDocumentationElement, setDocumentBaseURI, setExtensionRegistry, setTypes`

Method Detail

### getTargetNamespace

    java.lang.String getTargetNamespace()

  Returns the value of the 'Target Namespace' attribute.

  If the meaning of the 'Target Namespace' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getTargetNamespace` in interface `javax.wsdl.Definition`
  Returns:
    the value of the 'Target Namespace' attribute.
  See Also:
    `setTargetNamespace(String)`, `WSDLPackage.getDefinition_TargetNamespace()`

### setTargetNamespace

    void setTargetNamespace(java.lang.String value)

  Sets the value of the '`Target Namespace`' attribute.

  Specified by:
    `setTargetNamespace` in interface `javax.wsdl.Definition`
  Parameters:
    `value` - the new value of the 'Target Namespace' attribute.
  See Also:
    `getTargetNamespace()`

### getLocation

    java.lang.String getLocation()

  Returns the value of the 'Location' attribute.

  If the meaning of the 'Location' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Location' attribute.
  See Also:
    `setLocation(String)`, `WSDLPackage.getDefinition_Location()`

### setLocation

    void setLocation(java.lang.String value)

  Sets the value of the '`Location`' attribute.

  Parameters:
    `value` - the new value of the 'Location' attribute.
  See Also:
    `getLocation()`

### getQName

    javax.xml.namespace.QName getQName()

  Returns the value of the 'QName' attribute.

  If the meaning of the 'QName' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getQName` in interface `javax.wsdl.Definition`
  Returns:
    the value of the 'QName' attribute.
  See Also:
    `setQName(QName)`, `WSDLPackage.getDefinition_QName()`

### setQName

    void setQName(javax.xml.namespace.QName value)

  Sets the value of the '`QName`' attribute.

  Specified by:
    `setQName` in interface `javax.wsdl.Definition`
  Parameters:
    `value` - the new value of the 'QName' attribute.
  See Also:
    `getQName()`

### getEncoding

    java.lang.String getEncoding()

  Returns the value of the 'Encoding' attribute.

  If the meaning of the 'Encoding' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Encoding' attribute.
  See Also:
    `setEncoding(String)`, `WSDLPackage.getDefinition_Encoding()`

### setEncoding

    void setEncoding(java.lang.String value)

  Sets the value of the '`Encoding`' attribute.

  Parameters:
    `value` - the new value of the 'Encoding' attribute.
  See Also:
    `getEncoding()`

### getEMessages

    EList getEMessages()

  Returns the value of the 'EMessages' containment reference list. The list contents are of type `Message`.

  If the meaning of the 'EMessages' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'EMessages' containment reference list.
  See Also:
    `WSDLPackage.getDefinition_EMessages()`

### getEPortTypes

    EList getEPortTypes()

  Returns the value of the 'EPort Types' containment reference list. The list contents are of type `PortType`.

  If the meaning of the 'EPort Types' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'EPort Types' containment reference list.
  See Also:
    `WSDLPackage.getDefinition_EPortTypes()`

### getEBindings

    EList getEBindings()

  Returns the value of the 'EBindings' containment reference list. The list contents are of type `Binding`.

  If the meaning of the 'EBindings' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'EBindings' containment reference list.
  See Also:
    `WSDLPackage.getDefinition_EBindings()`

### getEServices

    EList getEServices()

  Returns the value of the 'EServices' containment reference list. The list contents are of type `Service`.

  If the meaning of the 'EServices' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'EServices' containment reference list.
  See Also:
    `WSDLPackage.getDefinition_EServices()`

### getENamespaces

    EList getENamespaces()

  Returns the value of the 'ENamespaces' containment reference list. The list contents are of type `Namespace`.

  If the meaning of the 'ENamespaces' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'ENamespaces' containment reference list.
  See Also:
    `WSDLPackage.getDefinition_ENamespaces()`

### getETypes

    Types getETypes()

  Returns the value of the 'ETypes' containment reference.

  If the meaning of the 'ETypes' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'ETypes' containment reference.
  See Also:
    `setETypes(Types)`, `WSDLPackage.getDefinition_ETypes()`

### setETypes

    void setETypes(Types value)

  Sets the value of the '`ETypes`' containment reference.

  Parameters:
    `value` - the new value of the 'ETypes' containment reference.
  See Also:
    `getETypes()`

### getEImports

    EList getEImports()

  Returns the value of the 'EImports' containment reference list. The list contents are of type `Import`.

  If the meaning of the 'EImports' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'EImports' containment reference list.
  See Also:
    `WSDLPackage.getDefinition_EImports()`

### getDocument

    org.w3c.dom.Document getDocument()

  Returns a W3C DOM Document built from the input WSDL document.

  Returns:
    W3C DOM Document.

### setDocument

    void setDocument(org.w3c.dom.Document document)

  Sets a W3C DOM Document to be used when building up a DOM Element tree for the WSDL model.

  Parameters:
    `document` - W3C DOM Document.